"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _commonjsHelpers = require("../../../../../_virtual/_commonjsHelpers.js");
const _baseMerge = require("./_baseMerge.js");
const _createAssigner = require("./_createAssigner.js");
var baseMerge = _baseMerge._baseMerge, createAssigner = _createAssigner._createAssigner;
var merge = createAssigner(function(object, source, srcIndex) {
  baseMerge(object, source, srcIndex);
});
var merge_1 = merge;
const merge$1 = /* @__PURE__ */ _commonjsHelpers.getDefaultExportFromCjs(merge_1);
exports.default = merge$1;
